Autor Tópico: Problema instalação módulo de segurança Banco do Brasil (Warsaw)  (Lida 3226 vezes)

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.394
    • Ver perfil
Re:Problema instalação módulo de segurança Banco do Brasil (Warsaw)
« Resposta #45 Online: 19 de Março de 2017, 19:54 »
Antes disso, forneça uma panorâmica do cenário que tem ai.

Instale o pacote inxi:

Código: [Selecionar]
sudo apt install inxi
Agora faça o comando abaixo e traga ao tópico o resultado:

Código: [Selecionar]
inxi -FxZ
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.394
    • Ver perfil
Re:Problema instalação módulo de segurança Banco do Brasil (Warsaw)
« Resposta #46 Online: 19 de Março de 2017, 19:56 »
Então me sugere que eu atualize o kernel para o 4.8?

Sim, iremos atualizar para o kernel 4.8, porém usando o stack, isto é, o padrão do próprio Ubuntu, que traz junto o Xorg e tudo o mais e não apenas adicionar de forma isolada o kernel.
Espere que passarei os comandos exatos a serem feitos.

Preciso dar um parada rapidinha, daqui uma meia hora ou 40 minutos volto e posto o comando de migração para o 4.8 stack

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.394
    • Ver perfil
Re:Problema instalação módulo de segurança Banco do Brasil (Warsaw)
« Resposta #47 Online: 19 de Março de 2017, 20:01 »
Nesse meio tempo, se puder prepara um live-pendrive a partir do arquivo iso do Ubuntu padrão (=Unity) do release 16.04.2

Baixe o arquivo aqui (e confira o md5sum após baixar):

Código: [Selecionar]
cd ~/Downloads
Código: [Selecionar]
wget -c http://releases.ubuntu.com/xenial/ubuntu-16.04.2-desktop-amd64.iso
Depois de baixado:

Código: [Selecionar]
md5sum ubuntu-16.04.2-desktop-amd64.iso
Precisa resultar:

Citar
1400884cec8e40a1a876b2678f81494b *ubuntu-16.04.2-desktop-amd64.iso

Então monte um live-pendrive com ele para podermos testar subindo o sistema a partir de um live-pendrive.

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.394
    • Ver perfil
Re:Problema instalação módulo de segurança Banco do Brasil (Warsaw)
« Resposta #48 Online: 19 de Março de 2017, 21:21 »
Um dúvida aqui, lá no post #32 você fez um remove apontando para um arquivo warsaw_64_installer.run

Havia esse arquivo aí baixado e instalado antes, é?

Esse é um binário .run e não um .deb, a questão é essa: havia instalado antes a partir desse binário?

A questão aqui é que antes de instalar fizemos uma limpeza de uma eventual anterior instalação .deb, porém não de uma anterior instalação .run e isso pode ter algum impacto desconhecido na questão da certificação.

Baixei aqui esse arquivo .run para 64-bit e ver se descubro como é que desinstala.

« Última modificação: 19 de Março de 2017, 21:41 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.394
    • Ver perfil
Re:Problema instalação módulo de segurança Banco do Brasil (Warsaw)
« Resposta #49 Online: 19 de Março de 2017, 21:35 »
Faça ainda essas confirmações de dependências:

Código: [Selecionar]
apt-cache policy libdbus-1-3
Código: [Selecionar]
apt-cache policy libcurl3
Código: [Selecionar]
apt-cache policy openssl
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.394
    • Ver perfil
Re:Problema instalação módulo de segurança Banco do Brasil (Warsaw)
« Resposta #50 Online: 19 de Março de 2017, 21:50 »
A instalação a partir do .run gera esse relatório abaixo.
Agora vamos ver as implicações disso e, principalmente, como é que desinstala isso aí.

Editando (21:56):
Fiz a instalação usando o .run e igualmente conseguiu acessar


Código: [Selecionar]
sudo ./warsaw_64_installer.run
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
libcurl3 is already the newest version (7.47.0-1ubuntu2.2).
libssl1.0.0 is already the newest version (1.0.2g-1ubuntu4.6).
openssl is already the newest version (1.0.2g-1ubuntu4.6).
libnss3-tools is already the newest version (2:3.26.2-0ubuntu0.16.04.2).
dbus is already the newest version (1.10.6-1ubuntu3.3).
libdbus-1-3 is already the newest version (1.10.6-1ubuntu3.3).
The following additional packages will be installed:
  libssl-doc zlib1g-dev
Os NOVOS pacotes a seguir serão instalados:
  libdbus-1-dev libssl-dev libssl-doc zlib1g-dev
0 pacotes atualizados, 4 pacotes novos instalados, 0 a serem removidos e 100 não atualizados.
É preciso baixar 2.752 kB de arquivos.
Depois desta operação, 11,5 MB adicionais de espaço em disco serão usados.
Obter:1 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libdbus-1-dev amd64 1.10.6-1ubuntu3.3 [161 kB]
Obter:2 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libssl-dev amd64 1.0.2g-1ubuntu4.6 [1.344 kB]
Obter:3 http://archive.ubuntu.com/ubuntu xenial/main amd64 zlib1g-dev amd64 1:1.2.8.dfsg-2ubuntu4 [168 kB]
Obter:4 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libssl-doc all 1.0.2g-1ubuntu4.6 [1.079 kB]
Baixados 2.752 kB em 2s (1.046 kB/s) 
A seleccionar pacote anteriormente não seleccionado libdbus-1-dev:amd64.
(Lendo banco de dados ... 193992 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../libdbus-1-dev_1.10.6-1ubuntu3.3_amd64.deb ...
A descompactar libdbus-1-dev:amd64 (1.10.6-1ubuntu3.3) ...
A seleccionar pacote anteriormente não seleccionado zlib1g-dev:amd64.
A preparar para desempacotar .../zlib1g-dev_1%3a1.2.8.dfsg-2ubuntu4_amd64.deb ...
A descompactar zlib1g-dev:amd64 (1:1.2.8.dfsg-2ubuntu4) ...
A seleccionar pacote anteriormente não seleccionado libssl-dev:amd64.
A preparar para desempacotar .../libssl-dev_1.0.2g-1ubuntu4.6_amd64.deb ...
A descompactar libssl-dev:amd64 (1.0.2g-1ubuntu4.6) ...
A seleccionar pacote anteriormente não seleccionado libssl-doc.
A preparar para desempacotar .../libssl-doc_1.0.2g-1ubuntu4.6_all.deb ...
A descompactar libssl-doc (1.0.2g-1ubuntu4.6) ...
A processar 'triggers' para man-db (2.7.5-1) ...
Configurando libdbus-1-dev:amd64 (1.10.6-1ubuntu3.3) ...
Configurando zlib1g-dev:amd64 (1:1.2.8.dfsg-2ubuntu4) ...
Configurando libssl-dev:amd64 (1.0.2g-1ubuntu4.6) ...
Configurando libssl-doc (1.0.2g-1ubuntu4.6) ...
tmp/warsaw_x64/src/libgmodule-2.0.so.0
tmp/warsaw_x64/src/libXfixes.so.3
tmp/warsaw_x64/src/libXdamage.so.1
tmp/warsaw_x64/src/ld-linux-x86-64.so.2
tmp/warsaw_x64/src/libwind.so.0
tmp/warsaw_x64/src/wsftuan.so
tmp/warsaw_x64/src/libSM.so.6
tmp/warsaw_x64/src/libxcb.so.1
tmp/warsaw_x64/src/libthai.so.0
tmp/warsaw_x64/src/libexpat.so.1
tmp/warsaw_x64/src/libgcrypt.so.20
tmp/warsaw_x64/src/ws.cnf
tmp/warsaw_x64/warsaw_x64-2_uninstall.sh
tmp/warsaw_x64/src/libgcc_s.so.1
tmp/warsaw_x64/src/libgnutls.so.30
tmp/warsaw_x64/src/libcairo.so.2
tmp/warsaw_x64/src/libXrender.so.1
tmp/warsaw_x64/src/libcares.so.2
tmp/warsaw_x64/src/libatk-1.0.so.0
tmp/warsaw_x64/src/features.dat
tmp/warsaw_x64/src/libstdc++.so.6
tmp/warsaw_x64/src/libhx509.so.5
tmp/warsaw_x64/src/migratecache
tmp/warsaw_x64/src/libXext.so.6
tmp/warsaw_x64/src/libpango-1.0.so.0
tmp/warsaw_x64/src/uninstall.dat
tmp/warsaw_x64/src/libkrb5support.so.0
tmp/warsaw_x64/src/libXi.so.6
tmp/warsaw_x64/configure.ac
tmp/warsaw_x64/src/libgdk_pixbuf-2.0.so.0
tmp/warsaw_x64/src/dbldwrsw.ttf
tmp/warsaw_x64/src/config.cfg
tmp/warsaw_x64/src/libfreetype.so.6
tmp/warsaw_x64/src/libICE.so.6
tmp/warsaw_x64/src/libkrb5.so.26
tmp/warsaw_x64/src/libcom_err.so.2
tmp/warsaw_x64/missing
tmp/warsaw_x64/src/liblzma.so.5
tmp/warsaw_x64/src/libssl.so.1.0.0
tmp/warsaw_x64/src/libgraphite2.so.3
tmp/warsaw_x64/src/libtasn1.so.6
tmp/warsaw_x64/src/warsaw.desktop
tmp/warsaw_x64/Makefile.in
tmp/warsaw_x64/src/libXrandr.so.2
tmp/warsaw_x64/src/wsbrmu.so
tmp/warsaw_x64/src/libhogweed.so.4
tmp/warsaw_x64/src/wsftbco.so
tmp/warsaw_x64/src/libXdmcp.so.6
tmp/warsaw_x64/Makefile.am
tmp/warsaw_x64/src/libasn1.so.8
tmp/warsaw_x64/src/libsasl2.so.2
tmp/warsaw_x64/src/libcurl.so.4
tmp/warsaw_x64/src/copyright
tmp/warsaw_x64/src/core
tmp/warsaw_x64/src/libdbus-1.so.3
tmp/warsaw_x64/src/libm.so.6
tmp/warsaw_x64/src/libldap_r-2.4.so.2
tmp/warsaw_x64/src/libc.so.6
tmp/warsaw_x64/src/libsqlite3.so.0
tmp/warsaw_x64/aclocal.m4
tmp/warsaw_x64/src/libcrypto.so.1.0.0
tmp/warsaw_x64/src/libgssapi_krb5.so.2
tmp/warsaw_x64/src/liblber-2.4.so.2
tmp/warsaw_x64/src/libcrypt.so.1
tmp/warsaw_x64/src/libgtk-x11-2.0.so.0
tmp/warsaw_x64/src/libroken.so.18
tmp/warsaw_x64/src/libharfbuzz.so.0
tmp/warsaw_x64/src/libnettle.so.6
tmp/warsaw_x64/src/wsftbmo.so
tmp/warsaw_x64/src/libxcb-shm.so.0
tmp/warsaw_x64/src/warsaw
tmp/warsaw_x64/src/libxcb-render.so.0
tmp/warsaw_x64/src/libpthread.so.0
tmp/warsaw_x64/src/libfontconfig.so.1
tmp/warsaw_x64/src/libheimbase.so.1
tmp/warsaw_x64/src/libXau.so.6
tmp/warsaw_x64/src/wsftbid.so
tmp/warsaw_x64/src/libgdk-x11-2.0.so.0
tmp/
tmp/warsaw_x64/src/libpangoft2-1.0.so.0
tmp/warsaw_x64/warsaw_x64-1_uninstall.sh
tmp/warsaw_x64/src/libpangocairo-1.0.so.0
tmp/warsaw_x64/
tmp/warsaw_x64/src/libX11.so.6
tmp/warsaw_x64/src/libhcrypto.so.4
tmp/warsaw_x64/src/libdatrie.so.1
tmp/warsaw_x64/src/libglib-2.0.so.0
tmp/warsaw_x64/src/libp11-kit.so.0
tmp/warsaw_x64/src/libpcre.so.3
tmp/warsaw_x64/install-sh
tmp/warsaw_x64/src/libresolv.so.2
tmp/warsaw_x64/src/librt.so.1
tmp/warsaw_x64/src/libsystemd.so.0
tmp/warsaw_x64/src/libkeyutils.so.1
tmp/warsaw_x64/configure
tmp/warsaw_x64/src/libgssapi.so.3
tmp/warsaw_x64/src/libXinerama.so.1
tmp/warsaw_x64/src/libpixman-1.so.0
tmp/warsaw_x64/src/libuuid.so.1
tmp/warsaw_x64/src/libz.so.1
tmp/warsaw_x64/src/libkrb5.so.3
tmp/warsaw_x64/src/libidn.so.11
tmp/warsaw_x64/src/wsatspi
tmp/warsaw_x64/src/libXcomposite.so.1
tmp/warsaw_x64/src/wslbmid.so
tmp/warsaw_x64/src/libheimntlm.so.0
tmp/warsaw_x64/src/wsftup.so
tmp/warsaw_x64/src/libgpg-error.so.0
tmp/warsaw_x64/src/wsftdl.so
tmp/warsaw_x64/src/wscertmgr
tmp/warsaw_x64/src/libgio-2.0.so.0
tmp/warsaw_x64/src/librtmp.so.1
tmp/warsaw_x64/src/libpng12.so.0
tmp/warsaw_x64/src/libXcursor.so.1
tmp/warsaw_x64/src/libselinux.so.1
tmp/warsaw_x64/src/libgobject-2.0.so.0
tmp/warsaw_x64/src/libgmp.so.10
tmp/warsaw_x64/src/libk5crypto.so.3
tmp/warsaw_x64/src/libXxf86vm.so.1
tmp/warsaw_x64/src/libffi.so.6
tmp/warsaw_x64/src/libdl.so.2
tmp/warsaw_x64/src/
Verifying...
Configuring...
Generating certificate...
Generating RSA private key, 4096 bit long modulus
.....................................................................++
.........................................................................++
e is 65537 (0x10001)
Generating RSA private key, 4096 bit long modulus
...++
.........................++
e is 65537 (0x10001)
Signature ok
subject=/CN=127.0.0.1
Getting CA Private Key
Installing on Firefox...
Notice: Trust flag u is set automatically if the private key is present.
Installing on system...
Notice: Trust flag u is set automatically if the private key is present.
Cleaning files...
Ok!
[ ok ] Starting warsaw (via systemctl): warsaw.service.
« Última modificação: 19 de Março de 2017, 21:57 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline lpccbio

  • Usuário Ubuntu
  • *
  • Mensagens: 32
    • Ver perfil
Re:Problema instalação módulo de segurança Banco do Brasil (Warsaw)
« Resposta #51 Online: 19 de Março de 2017, 21:58 »
Nesse meio tempo, se puder prepara um live-pendrive a partir do arquivo iso do Ubuntu padrão (=Unity) do release 16.04.2

Baixe o arquivo aqui (e confira o md5sum após baixar):

Código: [Selecionar]
cd ~/Downloads
Código: [Selecionar]
wget -c http://releases.ubuntu.com/xenial/ubuntu-16.04.2-desktop-amd64.iso
Depois de baixado:

Código: [Selecionar]
md5sum ubuntu-16.04.2-desktop-amd64.iso
Precisa resultar:

Citar
1400884cec8e40a1a876b2678f81494b *ubuntu-16.04.2-desktop-amd64.iso

Então monte um live-pendrive com ele para podermos testar subindo o sistema a partir de um live-pendrive.

Blz, ainda estou baixando o .iso. Daqui pra amanhã acaba! rsrs. Internet lenta.

Quanto ao arquivo do post #32, realmente era um .run que havia removido e não .deb


Resultados dos últimos scripts:

luispaulo@luispaulo-Inspiron-7520:~$ apt-cache policy libdbus-1-3
libdbus-1-3:
  Installed: 1.10.6-1ubuntu3.3
  Candidate: 1.10.6-1ubuntu3.3
  Version table:
 *** 1.10.6-1ubuntu3.3 500
        500 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1.10.6-1ubuntu3.1 500
        500 http://archive.ubuntu.com/ubuntu xenial-security/main amd64 Packages
     1.10.6-1ubuntu3 500
        500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages

luispaulo@luispaulo-Inspiron-7520:~$ apt-cache policy libcurl3
libcurl3:
  Installed: 7.47.0-1ubuntu2.2
  Candidate: 7.47.0-1ubuntu2.2
  Version table:
 *** 7.47.0-1ubuntu2.2 500
        500 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
        500 http://archive.ubuntu.com/ubuntu xenial-security/main amd64 Packages
        100 /var/lib/dpkg/status
     7.47.0-1ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages

luispaulo@luispaulo-Inspiron-7520:~$ apt-cache policy openssl
openssl:
  Installed: 1.0.2g-1ubuntu4.6
  Candidate: 1.0.2g-1ubuntu4.6
  Version table:
 *** 1.0.2g-1ubuntu4.6 500
        500 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
        500 http://archive.ubuntu.com/ubuntu xenial-security/main amd64 Packages
        100 /var/lib/dpkg/status
     1.0.2g-1ubuntu4 500
        500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages


Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.394
    • Ver perfil
Re:Problema instalação módulo de segurança Banco do Brasil (Warsaw)
« Resposta #52 Online: 19 de Março de 2017, 22:12 »
Descobri como é que desinstala a partir do .run, então precisa fazer uma limpeza usando o .run pois você pode ter instalado antes e não desinstalado e por cima instalamos usando o pacote .deb, o que pode ser uma fonte de erros quanto a certificação.
Vou detalhar como fazer.

« Última modificação: 19 de Março de 2017, 22:14 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.394
    • Ver perfil
Re:Problema instalação módulo de segurança Banco do Brasil (Warsaw)
« Resposta #53 Online: 19 de Março de 2017, 22:22 »
Vamos fazer novamente uma limpeza geral de instalações anteriores, seja a partir de .run e também aquela feita a partir do .deb, para se ter certeza que é uma instalação feito como se deve desde o início.

1) Entra no diretório Downloads

Código: [Selecionar]
cd ~/Downloads  #entra no diretório Downloads
2) baixar o arquivo .run porque nesse caso precisa dele, o binário, para desinstalar:

Código: [Selecionar]
wget -c https://www14.bancobrasil.com.br/downloads/ws/warsaw_64_installer.run
3) Todos os navegadores fechados;

4) Dar permissão de execução ao arquivo:

Código: [Selecionar]
chmod +x warsaw_64_installer.run
5) Então execute:

Código: [Selecionar]
sudo ./warsaw_64_installer.run --uninstall
(é um ponto (.) mais barra antes do nome do arquivo e é duplo hífen antes do --uninstall no final do comando, como sempre, melhor copiar e colar no terminal e dar um <enter>)

6) Repita o que já fizemos para limpar novamente a anterior instalação malsucedida do .deb

Código: [Selecionar]
sudo dpkg -r warsaw
7) Depois remova novamente o hda-bb antes instalado, como também já feito antes:

Código: [Selecionar]
sudo dpkg -r hda-bb

Agora deve estar tudo zerado mesmo,

Reiniciar o sistema e em seguida vamos refazer a instalação, como já feito antes, a partir do .deb

« Última modificação: 20 de Março de 2017, 00:58 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline lpccbio

  • Usuário Ubuntu
  • *
  • Mensagens: 32
    • Ver perfil
Re:Problema instalação módulo de segurança Banco do Brasil (Warsaw)
« Resposta #54 Online: 19 de Março de 2017, 22:27 »
E quanto ao download da .iso que ainda está em operação em outra janela do terminal? Vai influenciar se eu pará-lo? 20% ainda (é uma conquista! hehe).

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.394
    • Ver perfil
Re:Problema instalação módulo de segurança Banco do Brasil (Warsaw)
« Resposta #55 Online: 19 de Março de 2017, 22:32 »
E quanto ao download da .iso que ainda está em operação em outra janela do terminal? Vai influenciar se eu pará-lo? 20% ainda (é uma conquista! hehe).

Eita, na verdade o teste do live-pendrive é uma outra linha de raciocínio.
Se simplesmente reiniciar, sem apagar o que já baixou, como está fazendo pelo wget com a opção -c que é o default, ele retoma de onde parou, desde que execute novamente a partir do mesmo diretório onde o arquivo parcial se encontra.
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline lpccbio

  • Usuário Ubuntu
  • *
  • Mensagens: 32
    • Ver perfil
Re:Problema instalação módulo de segurança Banco do Brasil (Warsaw)
« Resposta #56 Online: 19 de Março de 2017, 22:38 »
Vamos fazer novamente uma limpeza geral de instalações anteriores, seja a partir de .run e também aquela feita a partir do .deb, para se ter certeza que é uma instalação feito como se deve desde o início.

1) baixar o arquivo .run porque nesse caso precisa dele, o binário, para desinstalar:

wget -c https://www14.bancobrasil.com.br/downloads/ws/warsaw_64_installer.run

2) Todos os navegadores fechados;

3) Então execute:

Código: [Selecionar]
sudo ./warsaw_64_installer.run --uninstall
(é um ponto (.) mais barra antes do nome do arquivo e é duplo hífen antes do --uninstall no final do comando, como sempre, melhor copiar e colar no terminal e dar um <enter>)

4) Repita o que já fizemos para limpar novamente a anterior instalação malsucedida do .deb

Código: [Selecionar]
sudo dpkg -r warsaw
5) Depois remova novamente o hda-bb antes instalado, como também já feito antes:

Código: [Selecionar]
sudo dpkg -r hda-bb

Agora deve estar tudo zerado mesmo,

Reiniciar o sistema e em seguida vamos refazer a instalação, como já feito antes, a partir do .deb

Está dando erro nessa segunda linha de comando:
Código: [Selecionar]
sudo ./warsaw_64_installer.run --uninstall
Aparece isso:
Citar
sudo ./warsaw_64_installer.run --uninstall
sudo: ./warsaw_64_installer.run: command not found

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.394
    • Ver perfil
Re:Problema instalação módulo de segurança Banco do Brasil (Warsaw)
« Resposta #57 Online: 19 de Março de 2017, 22:45 »
Está dando erro nessa segunda linha de comando:
sudo ./warsaw_64_installer.run --uninstall

Aparece isso:
Citar
sudo ./warsaw_64_installer.run --uninstall
sudo: ./warsaw_64_installer.run: command not found

Será que errei na digitação dos comandos? vamos conferir?

O arquivo warsaw_64_installer.run fi baixado e está de fato dentro do diretório ~/Downloads e a execução do comando igualmente está sendo feita dentro do diretório Downloads?
Ou seja, a execução do --unistall precisa ser feito no mesmo diretório onde se encontra o binário baixado.

Vamos la, de novo nesse particular aspecto:

Código: [Selecionar]
cd ~/Downloads  #entra ou permanece no diretório Downloads
Código: [Selecionar]
sudo ./warsaw_64_installer.run --uninstall
« Última modificação: 19 de Março de 2017, 22:49 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.394
    • Ver perfil
Re:Problema instalação módulo de segurança Banco do Brasil (Warsaw)
« Resposta #58 Online: 19 de Março de 2017, 22:51 »
Pronto, descobri o erro, no primeiro post do --uninstall faltou um l (letra ele) no final do uninstall 
Errei na digitação
:(

Retificando, parece que não, o duplo ll (ele) está lá.
Então precisa ver mesmo se o arquivo .run já está baixado e se a execução está sendo feita dentro do mesmo diretório onde foi baixado.
« Última modificação: 19 de Março de 2017, 22:54 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline lpccbio

  • Usuário Ubuntu
  • *
  • Mensagens: 32
    • Ver perfil
Re:Problema instalação módulo de segurança Banco do Brasil (Warsaw)
« Resposta #59 Online: 19 de Março de 2017, 23:15 »
Sempre retorna com esse erro.
Mesmo direcionando para a pasta onde está localizado o arquivo (nesse caso /home mesmo):
Citar
sudo: ./warsaw_64_installer.run: command not found